Public Member Functions | Static Public Member Functions | List of all members
clan::HalfFloat Class Reference
clanCore Math

`#include <half_float.h>`

## Public Member Functions
| HalfFloat ()
| HalfFloat (const HalfFloat &other)
| HalfFloat (float v)
HalfFloat & | from_float (float v)
| operator float () const
HalfFloat & | operator= (const HalfFloat &other)
HalfFloat & | operator= (const float v)
float | to_float () const

## Static Public Member Functions
static unsigned short | float_to_half (float float_value)
static unsigned short | float_to_half_simple (float float_value)
| Only works for 'normal' half-float values. More...
static float | half_to_float (unsigned short hf)
static float | half_to_float_simple (unsigned short hf)
| Only works for 'normal' half-float values. More...

The documentation for this class was generated from the following file:

- half_float.h